Classes which implements this interface can be rendered by an IRenderer instance.

### Hierarchy

- IRenderable
  - IStackeable

### Implemented by

- Basket
- Block
- Bold
- BootstrapCarousel
- Break
- Button
- Camera
- Carousel
- CheckboxChoice
- Choice
- CodeReader
- Col
- Container
- Email
- Form
- Headline
- Icon
- Image
- Italic
- Item
- Items
- Label
- Link
- Map
- Overlay
- Overlay
- Overlays
- Phone
- RadioChoice
- Rating
- Reel
- ReelValue
- Row
- Selectable
- Selection
- SelectionItem
- Slider
- SlotMachine
- SmallDevice
- Spinner
- Submit
- Suggestion
- Table
- Text
- Textarea
- Transition
- Trigger
- Upload
- Video

## Index

### Methods

- render

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- - Defined in lib/api/IRenderable.ts:15

  Renders an element

  #### Parameters

  - ##### renderer: IRenderer

    the IRenderer which can be used for wrapping elements in the current element

  - ##### isNested: boolean

    the boolean containing if the element is already wrapped in another element

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc